Bug 8457 - xfs startup script breaks on bad link
Summary: xfs startup script breaks on bad link
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 4.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-13 22:36 UTC by rfuchs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-14 19:13:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rfuchs 2000-01-13 22:36:00 UTC
In /etc/rc.d/init.d/xfs, x font server startup,
after installing Red Hat Linux release 6.1 (Cartman), I find a
bunch of invalid links in /usr/X11R6/lib/X11 of the form

  fs -> ../../../../etc/X11/XF86Config

The other paths may not be used but this one 'fs'
keeps my xfs from starting. No problem after link was corrected.

Comment 1 Preston Brown 2000-01-14 19:13:59 UTC
You should have an /etc/X11/fs directory, don't you?

On my 6.1 system, I have this link:

fs -> ../../../../etc/X11/fs/

and it correctly sees /etc/X11/fs.


Note You need to log in before you can comment on or make changes to this bug.